Name:          kttsd
Summary:       Tts daemon and control utilities for kde
Version:       0.2.0.suse9.2
Release:       10
License:       GPL
Group:         Productivity/Multimedia/Other 
Source:        %{name}-11122004cvs.tar.bz2
Source1:       kdialog.sh
BuildRoot:     %{_tmppath}/build-root-%{name}
Packager:      Jorge Luis Arzola - <arzolacub@netscape.net>
Distribution:  SuSE Linux 9.2 (i586)
Prefix:        /opt/kde3
Url:           http://www.kde.org
Requires:      qt3 >= 3.3  kdelibs3 >= 3.2  kdebase3  >= 3.2
BuildRequires: qt3-devel >= 3.3 kdelibs3-devel >= 3.2 kdebase3-devel >= 3.2 gstreamer-devel >= 0.8.7 arts-devel



%description

KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE
desktop for conversion of text to audible speech. KTTS is
currently under development and aims to become the standard
subsystem for all KDE applications to provide speech output.
It also provides a usefull GUI(kttsmgr) that gives the user
full control of the Text-to-Speech subsystem.
Ktts can use several tts systems, such as festival, freetts, epos,
mbrola and hadifix and flite. 

AUTHORS:
José Pablo Ezequiel Fernández <pupeno@pupeno.com>
Gary Cramblitt <garycramblitt@comcast.net>
Gunnar Schmi Dt <gunnar@schmi-dt.de>
Olaf Schmidt <ojschmidt@kde.org>
Paul Giannaros <ceruleanblaze@gmail.com>


%package gstreamer
Group:        Productivity/Multimedia/Other
Summary:      Gstreamer plugin for kttsd
Requires:     gstreamer >= 0.8.7  %{name} >= %{version}-%{release}

%description gstreamer
This package includes the gstreamer audio plugin for kttsd

KTTSD AUTHORS:
José Pablo Ezequiel Fernández <pupeno@pupeno.com>
Gary Cramblitt <garycramblitt@comcast.net>
Gunnar Schmi Dt <gunnar@schmi-dt.de>
Olaf Schmidt <ojschmidt@kde.org>
Paul Giannaros <ceruleanblaze@gmail.com>

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %{name}-11122004cvs


%build
#export LD_LIBRARY_PATH=/opt/gnome/lib
make -f Makefile.cvs
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --enable-debug=full
cd kttsd
make
cd ../doc/kttsd
make 

%install
cd kttsd
sh clean_obsolete.sh
make DESTDIR=$RPM_BUILD_ROOT install
cd ../doc/kttsd
make DESTDIR=$RPM_BUILD_ROOT install
cp $RPM_SOURCE_DIR/kdialog.sh $RPM_BUILD_DIR/%{name}-%{version}


%post
%run_ldconfig
echo "************************************************************************************"
echo "************************************************************************************"
echo Please set your preferences in the KDE Control Center or execute kttsmgr from the menu
echo You will need one of the following tts system for kttsd to work:
echo Festival
echo Flite
echo Epos
echo freeTTS
echo mbrola and hadifix
echo Optionally You will need in your path:
echo sox utility for adjusting overall speech rate.
echo xsltproc utility for SSML support.
echo "************************************************************************************"
echo "************************************************************************************"

%postun
%run_ldconfig

%post -n kttsd-gstreamer
%run_ldconfig
echo "*******************************************************************************************"
echo "*******************************************************************************************"
echo kttsd-gstreamer: if you have been running ktts, please restart it to enable gstreamer support
echo "*******************************************************************************************"
echo "*******************************************************************************************"

%postun -n kttsd-gstreamer
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/opt/kde3/bin/kttsd
/opt/kde3/bin/kttsmgr
/opt/kde3/lib/kde3/libkttsjobmgrpart.*
/opt/kde3/lib/kde3/kcm_kttsd.*
/opt/kde3/lib/kde3/libkttsd_eposplugin.*
/opt/kde3/lib/kde3/libkttsd_gstplugin.la
/opt/kde3/lib/kde3/libkatepartkttsdplugin.*
/opt/kde3/lib/kde3/libkttsd_festivalintplugin.*
/opt/kde3/lib/kde3/libkttsd_fliteplugin.*
/opt/kde3/lib/kde3/libkttsd_hadifixplugin.*
/opt/kde3/lib/kde3/kcm_kttsmgr.*
/opt/kde3/lib/kde3/libkttsd_commandplugin.*
/opt/kde3/lib/kde3/libkhtmlkttsdplugin.*
/opt/kde3/lib/kde3/libkttsd_artsplugin.*
/opt/kde3/lib/kde3/katekttsdplugin.*
/opt/kde3/lib/kde3/libkttsd_freettsplugin.*
/opt/kde3/lib/libktt*
/opt/kde3/share/doc/HTML/en/kttsd/*
/opt/kde3/share/apps/kate/plugins/katekttsd/ui.rc
/opt/kde3/share/apps/khtml/kpartplugins/khtmlkttsd.rc
/opt/kde3/share/apps/kttsd/festivalint/voices
/opt/kde3/share/apps/kttsd/festivalint/xslt/SSMLtoSable.xsl
/opt/kde3/share/apps/kttsd/festivalint/sabletowave.scm
/opt/kde3/share/apps/kttsd/xslt/SSMLtoPlainText.xsl
/opt/kde3/share/apps/kttsd/hadifix/xslt/SSMLtoTxt2pho.xsl
/opt/kde3/share/apps/katepart/kpartplugins/katepartkttsd.rc
/opt/kde3/share/apps/kttsjobmgr/kttsjobmgrui.rc
/opt/kde3/share/icons/hicolor/*/actions/*.png
/opt/kde3/share/applnk/Settings/Accessibility/*.desktop
/opt/kde3/share/applnk/Application/*.desktop
/opt/kde3/share/servicetypes/*.desktop
/opt/kde3/share/services/kttsjobmgr.desktop
/opt/kde3/share/services/kttsd_eposplugin.desktop
/opt/kde3/share/services/kttsd.desktop
/opt/kde3/share/services/kttsd_artsplugin.desktop
/opt/kde3/share/services/kttsd_commandplugin.desktop
/opt/kde3/share/services/kttsd_freettsplugin.desktop
/opt/kde3/share/services/kttsd_hadifixplugin.desktop
/opt/kde3/share/services/kttsd_fliteplugin.desktop
/opt/kde3/share/services/kttsd_festivalintplugin.desktop
/opt/kde3/share/services/katekttsd.desktop
/opt/kde3/share/applications/kde/*.desktop
/opt/kde3/include/*.h
/opt/kde3/include/kparts/*.h
/opt/kde3/share/apps/kttsd/icons/crystalsvg/*/apps/*.png
/opt/kde3/share/apps/kttsd/icons/crystalsvg/scalable/apps/kttsd.svgz
/opt/kde3/share/icons/crystalsvg/scalable/apps/kttsd.svgz
/opt/kde3/share/icons/crystalsvg/*/apps/*.png
%doc kttsd/ChangeLog kttsd/AUTHORS kttsd/README kttsd/TODO

%files gstreamer
%defattr (-, root, root)
/opt/kde3/lib/kde3/libkttsd_gstplugin.so
/opt/kde3/share/services/kttsd_gstplugin.desktop




%changelog
* Fri Dec 11 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- Change version to 0.2.0 and add "bin.suse9.2" as Gary wants it in the name
- of the package
* Wed Dec 09 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- As now gstreamer is integrated into ktts as a plugin, split ktts
- into 2 rpm packages. Ktts itself doesn't depend at all to 
- gstreamer, but kttsd-gstreamer does.
* Wed Nov 30 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- kttsd-30112004cvs3: new option for GStreamer output sink
* Wed Nov 30 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- kttsd-30112004cvs3: new option for GStreamer output sink
* Wed Nov 22 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- kttsd-21112004cvs3: duration control for hts voices
* Wed Nov 21 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- kttsd-21112004cvs3: now ktts support IMS german festival
* Wed Nov 21 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- Update to curren cvs 20112004cvs. Pitch and volume control
* Wed Nov 18 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- Update to curren cvs version:18112004. Gstreamer engine plugin
* Wed Nov 17 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- Update to curren cvs version:16112004
* Sun Nov 11 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- Update to curren cvs version, Kttsd now supports festival 2.0 and multisyn voices.
* Fri Nov 05 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- build for suse 9.2
* Wed Jul 21 2004 Jorge Luis Arzola - <arzolacub@netscape.net>
- First build for suse 9.1
